local lg = love.graphics
-- Creatin' gobal varibles yo.
img = { } -- Images
quad = { }
font = { }
local sound = { } --Sound bruh

local IMAGE_FILES = {
	"Button_Down_Play","Button_Up_Play","Button_Down_Load",
	"Button_Up_Load","Button_Down_Quit","Button_Up_Quit",
	"Button_Up_Options", "Button_Down_Options",
	"Title_Screen","Options_Screen","Button_Down_Audio",
	"Button_Down_Controls","Button_Down_Gameplay",
	"Button_Up_Audio","Button_Up_Controls","Button_Up_Gameplay",
	"Button_Up_MainMenu","Button_Down_MainMenu","Button_Up_Save",
	"Button_Down_Save","Button_Up_Resume","Button_Down_Resume",
	"icon","Cavein_1","Char_Select_Assets","Char_Select_BG",
	"Char_Select_C","Char_Select_M","M_HUD_Assests","M_HUD_BG",
	"C_HUD_Assests","C_HUD_BG","Pause"

}

local BG_FILES = {"Desert_and_Cave_Enterance","Cave1"}

local SOUND_FILES = { }

DIFFICULTY_NAMES = {"EASY", "NORMAL", "HARD"}

KEYBOARD = "ABCDEFGHIJKLMNOPQRSTUVWXYZ_-<&"

--Loadin' the assets, that's how you spell it right?
function loadResources()
	-- Create canvas for lighting effects
	canvas = lg.newCanvas(256,256)
	canvas:setFilter("nearest","nearest")

	-- Load all images
	for i,v in ipairs(IMAGE_FILES) do
		img[v] = lg.newImage(v..".png")
	end
	for i,v in ipairs(BG_FILES) do
		img[v] = lg.newImage(v..".png")
	end
	-- Load all sound files
	for i,v in ipairs(SOUND_FILES) do
		sound[v] = love.audio.newSource(v..".mp3","static")
		sound[v]:addTags("sfx")
	end
end


Title = love.graphics.newImage("Title_Screen.png")

quad.screen = lg.newQuad(0, 0, 800, 800, Title:getDimensions())

function playSound(name)
	love.audio.play(sound[name])
end

function playMusic(name, loop)
	-- Stop previously playing music if any
	if music then
		music:stop()
	end
	-- Play new file
	music_name = name
	music = love.audio.newSource(name..".mp3", "stream")
	music:addTags("music")
	if loop ~= nil then
		music:setLooping(loop)
	else
		music:setLooping(true)
	end
	love.audio.tags.music.setVolume(config.music_volume)
	love.audio.play(music)
end

function stopMusic()
	if music then
		music:stop()
	end
end
